DSXFR_PROTO_READ_FUNC(3)

PROTO_FUNC
dsxfr_PROTO_read_func - New "multi_array" data callback.

SYNOPSIS
#include <karma_dsxfr.h>

void dsxfr_PROTO_read_func

(flag first_time_data, unsigned int connection_num)

DESCRIPTION
This routine is called when new data arrives on any "multi_array" connection.

first_time_data
    If data appears on a connection for the first time, this will be TRUE. Any subsqeuent data that appears on a connection will not set this flag.

connection_num
    The index number of the connection.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/